Package org.eclipse.emf.compare.provider

# Interface IItemDescriptionProvider

All Known Implementing Classes:
  `AttributeChangeItemProviderSpec`, `ComparisonItemProviderSpec`, `ConflictItemProviderSpec`, `ExtendedAdapterFactoryItemDelegator`, `FeatureMapChangeItemProviderSpec`, `GroupItemProviderAdapter`, `MatchItemProviderSpec`, `MatchResourceItemProviderSpec`, `ReferenceChangeItemProviderSpec`, `ResourceAttachmentChangeItemProviderSpec`, `ResourceLocationChangeItemProviderSpec`

public interface IItemDescriptionProvider
This is the interface implemented to provide a description for an item.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription(Object object)`
Returns the description for the given object.

## Method Details

### getDescription

String getDescription(Object object)
Returns the description for the given object.

Parameters:
  `object` - the object to evaluate the description for.
Returns:
  the description.